/* ============================================================================================================================================= /
 * LIBRARY:         Gestione Input
 * FILE:            Manage_input.h
 * LAST REV:        1.2
 * AUTHOR:          Ivo Colleoni
 * DEVICE:          PIC18F
 * CREATED:         12/09/2013
 * UPDATED:         03/12/2013
 *
 * DESCRIP:         Settaggi per Manage_input
 * ============================================================================================================================================= /
 * Change History:
 * Rev.             Date                Changes
 * 1.2              03/12/2013          Inserite costati di configurazione ritardi
 * 1.1              27/09/2013          Inserita costante PRESSED per indicare se i pulsanti chiudono a GND o a VCC
 * 1.0              12/09/2013
/* ============================================================================================================================================ */

/* CONFIGURAZIONI ============================================================================================================================= */

#define PRESSED             0                                                           // logica dei pulsanti: 0 chiudono a massa, 1 chiudono a VCC
#define N                   5                                                           // numero pressioni con ritardo lungo per debounce multi

#define DELAY_DEB           5                                                           // delay di debounce in ms
#define DELAY_MULTI_LONG    100                                                         // delay per debounce multi pressione lunga
#define DELAY_MULTI_SHORT   20                                                          // delay per debounce multi pressione corta

/* CONTROLLI DI COMPILAZIONE ================================================================================================================== */

#ifndef PRESSED!=0 || PRESSED!=1                                                        // errore se pressed non  definito
    #error Definire PRESSED (logica dei pulsanti)
#endif

#ifndef N                                                                               // se N non  definito imposto 5
    #define N 5
#endif

/* PROTOTIPI ================================================================================================================================== */

char Debounce_multi(char *_address, char _mask);
char Debounce_single(char *_address, char _mask);
//char Read_keypad(void);

